roasOS
API referenceEdits

Inspect a saved edit

Returns every clip, audio item, caption and overlay with the number that commands use.

GET
/v1/edits/{id}

Returns every clip, audio item, caption and overlay with the number that commands use.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

version?integer
Range1 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/edits/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "title": "string",    "version": 0,    "latest_version": 0,    "length_seconds": 0,    "property1": null,    "property2": null  }}